Bug 112015 - runlevel 5 to 3 swithcing - ok till starting anacron - system seemingly hangs
runlevel 5 to 3 swithcing - ok till starting anacron - system seemingly hangs
Product: Fedora
Classification: Fedora
Component: anacron (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Brock Organ
Depends On:
  Show dependency treegraph
Reported: 2003-12-12 16:35 EST by andrej
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-08-12 15:32:15 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description andrej 2003-12-12 16:35:43 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)

Description of problem:
To be sincere...I'm not sure if that's a problem with anacron,
something else or...myself...

Located within KDE as normal user & doing 'telinit 3' as sudo root I
can  see the runlevel switch seems to be OK at the beginning...
1.)all services from runlevel5 are stopped.
2.)the start-up sequence of the services for runlevel3 seems to be
successful upto the startup of anacron... at this point I can see the
message telling me anacron is starting: I wait some time, but it does
not complete; the OS loading seems to be stopping there.
...so I reboot

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.telinit 3 from runlevel 5 & <wait the process to complete

Actual Results:  script running sequence while entering runlevel 3
(and thus OS loading) seems to me to be stopping here; anacron seems
to hang

Additional info:
Comment 1 Jason Vas Dias 2004-08-12 15:32:15 EDT
It just happens that anacron is the last thing to do in runlevel 3.
You may be left in a terminal that does not display a login: prompt -
did you press <RETURN> ? Doing so should make the login: prompt appear.
Pressing <ALT>+<F[1-6]> switches to a virtual console (VC) that does
display one. After X comes up in runlevel 5, you can switch to a
different VC by pressing <CTRL>+<ALT>+<F[1-6]> .
At least, that's what happens on FC2 and rawhide - I cannot duplicate
any "hang". If you still have a problem, reopen this bug and attach
your /var/log/messages file to it.

Note You need to log in before you can comment on or make changes to this bug.